Bug 64785 - ntp.conf ignores parameters
ntp.conf ignores parameters
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-10 17:33 EDT by Ledge M. Benson
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-10 17:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ledge M. Benson 2002-05-10 17:33:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
I have a line in /etc/ntp.conf which points my driftfile to /etc/driftfile and 
was receiving the following error: "ntpd[830]: can't 
open /etc/ntp.drift.TEMP:> Permission denied"

In talking with Red Hat support, I have received the following directive, "I 
suspect their /etc/ntp.conf directs the drift file to be placed straight 
into /etc.  The new layout puts such files into /etc/ntp/, a directory owned 
by the ntp user.  So have them fix the "driftfile" line in their ntp.conf.

Why even bother with a configurable ntp.conf, if it defaults to /etc/ntp/?  
This in my book is a bug!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just change your ntp.conf to point at a different directory and or filename.
2.
3.
	

Expected Results:  You should be able to configure ntp.conf to put files 
anywhere you want and have the application to continue to work.

Additional info:
Comment 1 Harald Hoyer 2002-05-13 05:19:02 EDT
The right entry should be. 
 driftfile /etc/ntp/drift 
ntp runs as user ntp for security reasons. Therefore it cannot write to /etc.

Note You need to log in before you can comment on or make changes to this bug.